Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite
                  org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite
                      org.codehaus.groovy.runtime.callsite.PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

    public static class PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce
    extends PogoMetaMethodSite

Call site where we know there is no need neither unwrap nor coerce arguments

Field Summary

Fields inherited from class MetaMethodSite
params

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)`

Method Summary
`java.lang.Object` | `invoke(java.lang.Object receiver, java.lang.Object[] args)`

Methods inherited from class PogoMetaMethodSite
call, callCurrent, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, createCachedMethodSite, createPogoMetaMethodSite, invoke

Methods inherited from class AbstractCallSite
acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce

    public PogoMetaMethodSite.PogoMetaMethodSiteNoUnwrapNoCoerce(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params)

Method Detail

### invoke

    public final java.lang.Object invoke(java.lang.Object receiver, java.lang.Object[] args)

Groovy Documentation